Summary: An X Window System color version of xhextris.
Name: cxhextris
Version: 1.0
Release: 22
Copyright: distributable
Group: Amusements/Games
Source: ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/cxhextris.tar.z
Source1: cxhextris.wmconfig
Patch0: cxhextris-config.patch
Patch1: cxhextris-axp.patch
Patch2: cxhextris-security.patch
Prereq: /usr/X11R6/bin/mkfontdir
BuildRoot: %{_tmppath}/%{name}-root

%description
CXHextris is a color version of the popular xhextris game, which is a
Tetris-like game that uses hexagon shapes instead of square shapes.
CXHextris runs within the X Window System.

Install cxhextris if you enjoy playing Tetris or Tetris-like games and
you'd like to play one on your system.  You'll need to have X installed
in order to play CXHextris.

%prep
%setup -q -n cxhextris
%patch -p1
%patch1 -p1
%patch2 -p1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc
make FONTDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts install.font

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/applnk/Games
  cat > ./etc/X11/applnk/Games/cxhextris.desktop <<EOF
[Desktop Entry]
Name=CXHextris
Type=Application
Comment=X11 version of Hextris falling puzzle game
MiniIcon=mini-tetris.xpm
Exec=xhextris
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)

%postun
if [ $1 = 0 ]; then
  (cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%files
%defattr(-,root,root)
%doc README README.Linux
%attr(755,games,games) /usr/X11R6/bin/xhextris
/usr/X11R6/lib/X11/fonts/misc/hex20.pcf
%attr(-,games,games) %config(noreplace)	/var/lib/games/xhextris-scores
%config /etc/X11/applnk/Games/cxhextris.desktop

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- fix security bug, suid

* Sat May 20 2000 Ngo Than <than@redhat.de>
- rebuilt for 7.0

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Tue May 18 1999 Jeff Johnson <jbj@redhat.com>
- mark scores as %config(noreplace) (#2882)

* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- fixed the wmconfig entry

* Sat May  2 1998 Alan Cox <alan@redhat.com>
- buffer overrun fixed. General restructure to avoid running setuid except
  during the first moments of initialisation.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
